<?php
/*
Plugin Name: 美化插件
Plugin URI: https://www.kekc.cn/3662.html
Description: 该插件为盗用KEKC博客开源版的一个垃圾插件，还进行收费，这里破解了发出来，还做了一些优化，去除了广告，这里免费开源发给大家！如果你需要更加强大的插件，请移步：<a target="_blank" href="https://www.kekc.cn/3662.html">子比主题附加组件重构版插件</a>！SEO组件和美化组件均是免费使用，还是开源的，免费组件比此插件优质，另外还有更加高级的功能组件！
Author: KEKC
Version:3.8.2
Author URI: https://www.kekc.cn/3662.html
*/
//引入核心变量
if ( ! function_exists( 'MJ' ) ) {
  function MJ( $option = '', $default = null ) {
    $options = get_option( 'MJ' ); 
    return ( isset( $options[$option] ) ) ? $options[$option] : $default;
  }
}
$mjversion="V-3.8.2";
//核心文件
require_once plugin_dir_path(__FILE__) .'inc/options/functions.php';
require_once plugin_dir_path(__FILE__) .'inc/options/core.php';
require_once plugin_dir_path(__FILE__) .'inc/codestar-framework/codestar-framework.php';
require_once plugin_dir_path(__FILE__) .'inc/options/admin-options.php';

//插件配置选项
add_filter( 'plugin_action_links', 'mj_plugins', 10, 5 );
function mj_plugins( $actions, $plugin_file ) 
{
   static $plugin;
   if (!isset($plugin))
		$plugin = plugin_basename(__FILE__);
   if ($plugin == $plugin_file) {
      $site_link = array('settings' => '<a style="color: green;" href="/wp-admin/admin.php?page=MJ#tab=导航美化/logo滤镜">配置插件</a>');
      $actions = array_merge($site_link, $actions);
   }
   return $actions;
}